<link  rel="stylesheet" type="text/css"  media="all" href="https://au.alogic.co/media/home.css" />
<?php

$items = $block->getProductCollection()->setVisibility([\Magento\Catalog\Model\Product\Visibility::VISIBILITY_BOTH,\Magento\Catalog\Model\Product\Visibility::VISIBILITY_IN_SEARCH])->setPageSize(8)->setCurPage(1)->getItems();
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
$image = 'product_base_image';
$thumnail = 'product_thumbnail_image';
$_hideCartHelper = $this->helper('Alogic\Customtheme\Helper\Data');
$isCartDisabled = $_hideCartHelper->getIsCartDisabled();

?>
 
<div class="row">
  <div class="col-lg-12 col-md-12 col-sm-12">
  <div class="featured-products">
<?php $i=0; foreach ($items as $_product): $i++; ?>

	<div class="col-lg-4 col-md-4">
<?php $productImage = $_imagehelper->init($_product, $image)->resize(400, 400)->getUrl(); ?>
<?php $productThumbail = $_imagehelper->init($_product, $thumnail)->resize(400, 400)->getUrl(); ?>
   <div class="al_fe_products">
      <div class="al-flip-box">
        <div class="al-flip-box-inner">
          <div class="al-flip-box-front">
            <img class="img-responsive" src="<?php echo $productImage ?>" alt="<?php echo $_product->getName(); ?>" />
          </div>
          <div class="al-flip-box-back">
            <img class="img-responsive" src="<?php echo $productThumbail ?>" alt="<?php echo $_product->getName(); ?>" />
          </div>
        </div>
      </div>
      <div class="al_flip_desc">
        <?php if (!$isCartDisabled){ ?>
          <?php if ($_product->isSaleable()){ ?>
          <?php }else{ ?>
            <div class="notify-box">
              <div class="product alert notify-box-stock overriden">
                <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
              </div>
            </div>
          <?php }?>
        <?php }?>

          


        <h3>
          <?php
          
         
               $len = strlen($_product->getName());
               $productName = substr($_product->getName(),0,40);
               if($len > 40) {
                $productName .= '...';
               }
                                                    
          //$productName = strlen($productName) > 50 ? substr($productName,0,50)."..." : $productName; 
          ?>   
          <a href="<?php echo $_product->getProductUrl() ?>">     
            <?php echo $productName; ?>          
          
          </a>
        </h3>
        <p>Part Number: <?php echo $_product->getSku(); ?></p>
        <div class="al_pro_price"><?php echo $block->getProductPrice($_product) ?></div>
            
        <?php if (!$isCartDisabled){ ?>
                  <?php if ($_product->isSaleable()){ ?>
                            <div>                              
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form a" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="al_add_cart btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">Add to cart
                                </button>
                              </form>
                            </div>
                          <?php }?>
                          <?php }?>
    
      </div>
    </div>
    </div>
<?php endforeach ?>
</div>
</div>
</div>
<script type = "text/javascript" >
    require(["jquery"], function($) {
        $(document).ready(function() {
            var $win = $(window);

            var elementTop, elementBottom, viewportTop, viewportBottom;

            function isScrolledIntoView(elem) {
                elementTop = $(elem).offset().top;
                elementBottom = elementTop + $(elem).outerHeight();
                viewportTop = $win.scrollTop();
                viewportBottom = viewportTop + $win.height();
                return (elementBottom > viewportTop && elementTop < viewportBottom);
            }

            if ($('video').length) {

                var loadVideo;

                $('video').each(function() {
                    $(this).attr('webkit-playsinline', '');
                    $(this).attr('playsinline', '');
                    $(this).attr('muted', 'muted');

                    $(this).attr('id', 'loadvideo');
                    loadVideo = document.getElementById('loadvideo');
                    loadVideo.load();
                });

                $win.scroll(function() { // video to play when is on viewport 

                    $('video').each(function() {
                        if (isScrolledIntoView(this) == true) {
                            $(this)[0].play();
                        } else {
                            $(this)[0].pause();
                        }
                    });

                }); // video to play when is on viewport

            } // end .field--name-field-video


        });

        $(document).ready(function() {

            $(".mt_learn a[href^='#']").on('click', function(e) {
                e.preventDefault();
                var hash = this.hash;
                $('html, body').animate({
                    scrollTop: ($(hash).offset().top - 60)
                }, 500, function() {
                    window.location.hash = hash;
                });
            });

        });

        $(window).scroll(function() {
            if (isVisible($("#anim-text1"))) {
                document.getElementById("anim-text1").classList.add("animate");
                document.getElementById("anim-text1").classList.add("fadeInDown");
                document.getElementById("anim-text1").classList.add("one");
            }
            if (isVisible($("#anim-text2"))) {
                document.getElementById("anim-text2").classList.add("animate");
                document.getElementById("anim-text2").classList.add("fadeIn");
                document.getElementById("anim-text2").classList.add("one");
            }
            if (isVisible($("#anim-text3"))) {
                document.getElementById("anim-text3").classList.add("animate");
                document.getElementById("anim-text3").classList.add("fadeInLeft");
                document.getElementById("anim-text3").classList.add("one");
            }
            if (isVisible($("#anim-text4"))) {
                document.getElementById("anim-text4").classList.add("animate");
                document.getElementById("anim-text4").classList.add("fadeInLeft");
                document.getElementById("anim-text4").classList.add("one");
            }
            if (isVisible($("#anim-img1"))) {
                document.getElementById("anim-img1").classList.add("animate");
                document.getElementById("anim-img1").classList.add("fadeIn");
                document.getElementById("anim-img1").classList.add("one");

            }
            if (isVisible($("#anim-img11"))) {
                document.getElementById("anim-img11").classList.add("animate");
                document.getElementById("anim-img11").classList.add("fadeIn");
                document.getElementById("anim-img11").classList.add("one");
                /*document.getElementById("anim-img2").classList.add("animate");
                document.getElementById("anim-img2").classList.add("fadeInRight");
                document.getElementById("anim-img2").classList.add("one");*/
            }
            if (isVisible($("#anim-right"))) {
                document.getElementById("anim-img2").classList.add("animate");
                document.getElementById("anim-img2").classList.add("fadeInRight");
                document.getElementById("anim-img2").classList.add("one");
            }
            if (isVisible($("#anim-text5"))) {
                document.getElementById("anim-texttop").classList.add("animate");
                document.getElementById("anim-texttop").classList.add("fadeInDown");
                document.getElementById("anim-texttop").classList.add("one");

                document.getElementById("anim-text").classList.add("animate");
                document.getElementById("anim-text").classList.add("fadeIn");
                document.getElementById("anim-text").classList.add("one");
            }
            if (isVisible($("#anim-text6"))) {
                document.getElementById("anim-texttop1").classList.add("animate");
                document.getElementById("anim-texttop1").classList.add("fadeInDown");
                document.getElementById("anim-texttop1").classList.add("one");

                document.getElementById("anim-text-ports").classList.add("animate");
                document.getElementById("anim-text-ports").classList.add("fadeIn");
                document.getElementById("anim-text-ports").classList.add("one");
            }

        });

    });


</script>

<script type = "text/javascript" >
    require(['jquery', 'mgs/owlcarousel'], function($) {
        $(document).ready(function() {

            $('.mt_featured_products').owlCarousel({
                items: 1,
                nav: false,
                dots: true,
                rtl: RTL,
                margin: 30,
                touchDrag: false,
                mouseDrag: false,
                loop: false,
                autoHeight: false,
                animateOut: "slideOutDown",
                animateIn: "slideInDown",
            });


            $('.mt_single_products').owlCarousel({
                items: 1,
                nav: false,
                dots: true,
                rtl: RTL,
                margin: 30,
                touchDrag: false,
                mouseDrag: false,
                loop: false,
                autoHeight: false,
            });

        });
    }); </script>